%define oname libmusicbrainz

%define api 4
%define major 3
%define libname %mklibname musicbrainz %{api} %{major}
%define devname %mklibname musicbrainz %{api} -d

Summary:	A software library for accesing MusicBrainz servers
Name:		libmusicbrainz4
Version:	4.0.3
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		http://musicbrainz.org/doc/libmusicbrainz
Source0:	https://github.com/downloads/metabrainz/libmusicbrainz/%{oname}-%{version}.tar.gz
Patch0:		cmake_include_dir.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(neon)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%files -n %{libname}
%doc AUTHORS.txt COPYING.txt NEWS.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%files -n %{devname}
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%setup_compile_flags
cmake \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
%make

%install
%makeinstall_std


%changelog

* Sat May 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.0.3-1
- (6b7ea58) New version 4.0.3
- (6b7ea58) Spec cleanup
- (6b7ea58) Fix debug package


